//キャラクター数
var PLAYER_COUNT = 10;

//キャラクター移動速度
var PLAYER_SPEED = 0.05;

//ゲーム本体オブジェクト
var game;

//キャラクター配列
var player;

//アニメ配列
var playerWalkAnim;

//
function Player(){
	
	//変数objがオブジェクト自身を指すようになる
	var obj = this;
	
	//スプライト作成
	obj.sprite = game.createSprite();
	
	//アニメ初期化
	obj.sprite.initAnim(playerWalkAnim);
	
	//座標をランダムに
	obj.sprite.setXY(randFloat(XMAX), randFloat(YMAX));
	
	//速度ランダム
	obj.vx = randSign()*PLAYER_SPEED;
	obj.vy = randSign()*PLAYER_SPEED;
	
	//一定時間ごとに呼び出す更新処理
	obj.sprite.onUpdate=function(){
		
		//移動後お座標を求める
		var x = obj.sprite.getX() + obj.vx;
		var y = obj.sprite.getY() + obj.vy;
		
		//画面外に出ると進行方向反転
		if(x<0 || x>XMAX) obj.vx = -obj.vx;
		if(y<0 || y>YMAX) obj.vy = -obj.vy;
		
		//スプライトの座標更新
		obj.sprite.setXY(x, y);
		
		//アニメ進行させる
		obj.sprite.stepAnim();
	}
}


function main(){
	
	var i;
	
	//ゲーム本体のオブジェクト初期化
	game = new Game();
	
	//キャラクター配列初期化
	player = new Array();
	
	//アニメ配列初期化
	playerWalkAnim = new Array(
		"heart00.png","heart00.png",
		"heart01.png","heart01.png",
		"heart02.png","heart02.png",
		"heart03.png","heart03.png"
	);
	
	//キャラクターオブジェクト作成
	for(i=0; i<PLAYER_COUNT; i++){
		player[i]=new Player();
	}
}
	