//キャラクター数
var PLAYER_COUNT = 10;

//キャラクター移動速度
var PLAYER_SPEED = 0.05;

//ゲーム本体オブジェクト
var game;

//キャラクター配列
var player;

//アニメ配列
var playerWalkAnim;
var playerGreetAnim;

//キャラクターのオブジェクト
function Player(){
	
	//変数objがオブジェクト自身を指すようになる
	var obj = this;
	
	//スプライト初期化
	obj.sprite = game.createSprite();
	obj.sprite.initAnim(playerWalkAnim);
	obj.sprite.setXY(randFloat(XMAX), randFloat(YMAX));
	
	//速度初期化
	obj.vx = randSign()*PLAYER_SPEED;
	obj.vy = randSign()*PLAYER_SPEED;
	
	//挨拶しているかどうかを表すフラグ
	obj.greet=false;
	
	
	//一定時間ごとに呼び出す更新処理
	obj.sprite.onUpdate=function(){
		
		//移動後お座標を求める
		var x = obj.sprite.getX() + obj.vx;
		var y = obj.sprite.getY() + obj.vy;
		if(x<0 || x>XMAX) obj.vx = -obj.vx;
		if(y<0 || y>YMAX) obj.vy = -obj.vy;
		obj.sprite.setXY(x, y);
		
		//アニメ進行させる
		obj.sprite.stepAnim();
		
		if(game.testHitSprite(obj.sprite))
		{
			if(!obj.greet)
			{
				obj.sprite.initAnim(playerGreetAnim);
				obj.greet=true;
			}
		}else{
			if(obj.greet)
			{
				obj.sprite.initAnim(playerWalkAnim);
				obj.greet=false;
			}
		}
		
		
	}
}


function main(){
	
	var i;
	
	//ゲーム本体のオブジェクト初期化
	game = new Game();
	
	//キャラクター配列初期化
	player = new Array();
	
	//アニメ配列初期化
	playerWalkAnim = new Array(
		"heart00.png","heart00.png","heart00.png",
		"heart01.png","heart01.png","heart01.png",
		"heart02.png","heart02.png","heart02.png",
		"heart03.png","heart03.png","heart03.png"
	);
	playerGreetAnim = new Array(
		"rize00.png"
	);
	
	//キャラクターオブジェクト作成
	for(i=0; i<PLAYER_COUNT; i++){
		player[i]=new Player();
	}
}
	